from setuptools import setup, find_packages

setup(
    name="plasann",
    version="2.1.0",
    author="Your Name",
    author_email="habibuliuslam.mist@gmail.com",
    description="A tool for annotating plasmids using FASTA files.",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    #url="https://github.com/yourusername/plasann",  # Replace with your GitHub URL
    packages=find_packages(),
    include_package_data=True,
    install_requires=[
        "biopython",
        "pandas",
        "matplotlib",
        "pycirclize"
        # Add other dependencies here if needed
    ],
    entry_points={
        "console_scripts": [
            'plasann=plasann.annotate_plasmid:main',
        ],
    },
    package_data={
        "plasann": ["Scripts/*", "Databases/*"],
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires='>=3.6',
)